import request from '@/utils/request'

// 查询班级列表
export function listClazz(query) {
  return request({
    url: '/course/clazz/list',
    method: 'get',
    params: query
  })
}

// 查询班级列表（排除节点）
export function listClazzExcludeChild(ClazzId) {
  return request({
    url: '/course/clazz/list/exclude/' + ClazzId,
    method: 'get'
  })
}

// 查询班级详细
export function getClazz(ClazzId) {
  return request({
    url: '/course/clazz/' + ClazzId,
    method: 'get'
  })
}

// 新增班级
export function addClazz(data) {
  return request({
    url: '/course/clazz',
    method: 'post',
    data: data
  })
}

// 修改班级
export function updateClazz(data) {
  return request({
    url: '/course/clazz',
    method: 'post',
    data: data
  })
}

// 删除班级
export function delClazz(ClazzId) {
  return request({
    url: '/course/clazz/' + ClazzId,
    method: 'post'
  })
}
